Bug 113926 - iiimf-server should %post chkconfig --add init.d script
iiimf-server should %post chkconfig --add init.d script
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
Depends On:
  Show dependency treegraph
Reported: 2004-01-20 03:02 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-05 14:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-01-20 03:02:18 EST
Description of problem:
iiimf-server contains an init.d script, but it doesn't
set it up when it is installed.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. Install iiimf-server.
2. chkconfig --list IIimf
Actual results:
service IIim supports chkconfig, but is not referenced in any runlevel
(run 'chkconfig --add IIim')

Expected results:
IIim            0:off   1:off   2:on    3:on    4:on    5:on    6:off

Additional info:
Something like this needs to be added to the spec file:

/sbin/chkconfig --add IIim

if [ "$1" = 0 ] ; then
  service IIim stop >/dev/null 2>&1
  /sbin/chkconfig --del IIim

if [ "$1" -ge "1" ]; then
  service IIim condrestart >/dev/null 2>&1
Comment 1 Yu Shao 2004-02-05 14:27:49 EST
It is in 11_4-7.
Comment 2 Jens Petersen 2004-02-06 03:06:53 EST
Thanks, confirmed fixed in 11.4-7.

Note You need to log in before you can comment on or make changes to this bug.